_grk_color Struct Reference

ICC profile, palette, channel definition. More...

`#include <grok.h>`

## Public Attributes

uint8_t * | icc_profile_buf
uint32_t | icc_profile_len
char * | icc_profile_name
grk_channel_definition * | channel_definition
grk_palette_data * | palette
bool | has_colour_specification_box

## Detailed Description

ICC profile, palette, channel definition.

## Member Data Documentation

## channel_definition

grk_channel_definition* _grk_color::channel_definition

Referenced by grk::GrkImage::apply_channel_definition(), grk::GrkImage::applyColour(), grk::GrkImage::check_color(), grk::FileFormatCompress::init(), grk::FileFormatDecompress::preProcess(), grk::GrkImageMeta::releaseColor(), and grk::FileFormatCompress::write_channel_definition().

## has_colour_specification_box

bool _grk_color::has_colour_specification_box

## icc_profile_buf

uint8_t* _grk_color::icc_profile_buf

Referenced by grk::GrkImage::applyColourManagement(), grk::GrkImage::applyICC(), grk::GrkImage::cieLabToRGB(), grk::GrkImage::postReadHeader(), grk::GrkImageMeta::releaseColor(), grk::GrkImage::supportsStripCache(), and grk::GrkImage::validateICC().

## icc_profile_len

uint32_t _grk_color::icc_profile_len

Referenced by grk::GrkImage::applyICC(), grk::GrkImage::postReadHeader(), grk::GrkImageMeta::releaseColor(), grk::GrkImage::validateICC(), and grk::FileFormatCompress::write_colr().

## icc_profile_name

char* _grk_color::icc_profile_name

Referenced by grk::GrkImage::postReadHeader(), and grk::GrkImageMeta::releaseColor().

## palette

grk_palette_data* _grk_color::palette

Referenced by grk::GrkImageMeta::allocPalette(), grk::GrkImage::apply_palette_clr(), grk::GrkImage::applyColour(), grk::GrkImage::postReadHeader(), grk::FileFormatDecompress::read_component_mapping(), grk::FileFormatDecompress::read_palette_clr(), grk::GrkImageMeta::releaseColorPalatte(), grk::GrkImage::supportsStripCache(), grk::FileFormatCompress::write_component_mapping(), and grk::FileFormatCompress::write_palette_clr().

The documentation for this struct was generated from the following file:

- grok.h